ExtUtils::XSpp::Node::Module(3pm)

NAME
ExtUtils::XSpp::Node::Module - Node representing an XS++/XS MODULE declaration

DESCRIPTION
An ExtUtils::XSpp::Node subclass representing a module declaration. For example, this XS++

  %module{Some::Perl::Namespace}

would turn into this XS:

MODULE=Some::Perl::Namespace

See also: ExtUtils::XSpp::Node::Package.

In a nutshell, the module that your XS++/XS code belongs to is the main Perl package of your wrapper. A single module can (and usually does) have several packages (respectively C++ classes).

METHODS

  new
Creates a new "ExtUtils::XSpp::Node::Module".

Named parameters: "module" indicating the name of the module.

ACCESSORS

  module
Returns the name of the module.